Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.hibernate.har
Interface HARDeployerMBean

All Superinterfaces:
  org.jboss.system.Service, org.jboss.system.ServiceMBean, org.jboss.deployment.SubDeployerMBean

All Known Implementing Classes:
  HARDeployer

public interface HARDeployerMBean
extends org.jboss.deployment.SubDeployerMBean

MBean interface.

Version:
  ${version}
Author:
  XDoclet

Field Summary
`static javax.management.ObjectName` | `OBJECT_NAME`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`Iterator` | `getDeployedApplications()` Returns the deployed applications.
`boolean` | `getValidateDTDs()` Get the flag indicating that ejb-jar.dtd, jboss.dtd & jboss-web.dtd conforming documents should be validated against the DTD.
`void` | `setValidateDTDs(boolean validate)` Set the flag indicating that ejb-jar.dtd, jboss.dtd & jboss-web.dtd conforming documents should be validated against the DTD.

Methods inherited from interface org.jboss.deployment.SubDeployerMBean
`accepts, create, destroy, getRelativeOrder, getSuffixes, init, setRelativeOrder, setSuffixes, start, stop`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Field Detail

### OBJECT_NAME

    public static final javax.management.ObjectName OBJECT_NAME

Method Detail

### getDeployedApplications

    public Iterator getDeployedApplications()

  Returns the deployed applications.

### getValidateDTDs

    public boolean getValidateDTDs()

  Get the flag indicating that ejb-jar.dtd, jboss.dtd & jboss-web.dtd conforming documents should be validated against the DTD.

### setValidateDTDs

    public void setValidateDTDs(boolean validate)

  Set the flag indicating that ejb-jar.dtd, jboss.dtd & jboss-web.dtd conforming documents should be validated against the DTD.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.